#set verbose
#=========================================================================
# Copyright (C) GemTalk Systems 1986-2015.  All Rights Reserved..
#
# Name - filedesc.csh
#
# Purpose - set open file descriptor limit properly on this host
#	    Also conveniently sets HOSTTYPE by calling bash.
#
# $Id: filedesc.csh,v 1.9 2008-01-09 19:03:06 stever Exp $
#
#=========================================================================

#bug5400, remove bogus HOSTTYPE from environment
unset HOSTTYPE
unsetenv HOSTTYPE
unset OSTYPE
unsetenv OSTYPE

set HOSTTYPE = `$GEMSTONE/bin/bash -norc -noprofile -c 'echo $HOSTTYPE'`
set OSTYPE = `$GEMSTONE/bin/bash -norc -noprofile -c 'echo $OSTYPE'`
set descLim = `$GEMSTONE/bin/bash -c '. $GEMSTONE/bin/misc.sh; raiseDescriptors ; echo $descriptorLimit'`

set hasDescCmd = y
switch ("$HOSTTYPE.$OSTYPE")
  case MIPSEL.Ultrix:
    set hasDescCmd = n
    breaksw

  case RISC6000.AIX:
    set hasDescCmd = n
    breaksw

  case hppa.hpux*:
    set hasDescCmd = n
    breaksw

  case sparc.SunOS4:
    if ( $descLim > 256 ) then
      # DBE, requires kludge to set descriptor limit
      limit -h descriptors $descLim
    endif
    breaksw

  case sparc.Solaris:
    breaksw

  case i386.NCR:
    breaksw

  case i686*inux:
    breaksw

  case MIPSEB.sinix:
    breaksw

  case Symmetry.Dynix:
    set hasDescCmd = n
    breaksw

  default:
    breaksw
endsw

if ( "$hasDescCmd" == "y" ) then 
  limit descriptors $descLim
endif

# display limits
# limit
