!=========================================================================
! Copyright (C) GemTalk Systems 1986-2015.  All Rights Reserved.
!
! $Id: blockclosure.gs,v 1.7 2008-01-09 19:02:29 stever Exp $
!
! Superclass Hierarchy:
!   BlockClosure, Object.
!
!=========================================================================

removeallmethods BlockClosure
removeallclassmethods BlockClosure

category: 'For Documentation Installation only'
classmethod: BlockClosure
installDocumentation

| doc txt |
doc := GsClassDocumentation newForClass: self.

txt := (GsDocText new) details:
'BlockClosure is an abstract superclass for all the different kinds of blocks
 of GemStone Smalltalk code.' .
doc documentClassWith: txt.

self description: doc.
%

category: 'Copying'
method: BlockClosure
copy

"Returns the receiver. Copies of blocks are not made."

^ self.
%

category: 'Private'
method: BlockClosure
_deepCopyWith: copiedObjDict

"Private.  Used internally to implement deepCopy."

^ self.
%

category: 'Instance Creation'
classmethod: BlockClosure
new

"Disallowed."

self shouldNotImplement: #new
%

category: 'Reloading Decompiled Methods'
classmethod: BlockClosure
_new

"Private."

^ super new .
%

category: 'Updating'
method: BlockClosure
instVarAt: anIndex put: aValue

"Disallowed."

self shouldNotImplement: #instVarAt:put:
%

category: 'Testing'
method: BlockClosure
isSimple

"Returns the default answer, false."

^ false
%

category: 'Storing and Loading'
method: BlockClosure
writeTo: aPassiveObject

"Instances of BlockClosure cannot be converted to passive form.  This method
 writes nil to aPassiveObject and stops GemStone Smalltalk execution with a
 notifier."

aPassiveObject writeObject: nil.
self _error: #rtErrAttemptToPassivateInvalidObject.
%

